GWT 2.7.0

## com.google.gwt.core.client.prefetch
Class RunAsyncCode

    java.lang.Object
      com.google.gwt.core.client.prefetch.RunAsyncCode

All Implemented Interfaces:
  PrefetchableResource

    public class RunAsyncCode

extends java.lang.Object
implements PrefetchableResource

A request to load the code for a `GWT.runAsync(Class, com.google.gwt.core.client.RunAsyncCallback)` split point.

Method Summary
`(package private) static RunAsyncCode` | `forSplitPointNumber(int splitPoint)` Not for direct use by application code.
`int` | `getSplitPoint()`
`boolean` | `isLoaded()` Ask whether this code has already been loaded.
`static RunAsyncCode` | `runAsyncCode(java.lang.Class<?> splitPoint)` Create an instance for the split point named with the given class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### runAsyncCode

    public static RunAsyncCode runAsyncCode(java.lang.Class<?> splitPoint)

  Create an instance for the split point named with the given class. The provided class must be a class literal.

  Parameters:
    `splitPoint` - a Class literal used to name the split point

### forSplitPointNumber

    static RunAsyncCode forSplitPointNumber(int splitPoint)

  Not for direct use by application code. Calls to this method are created by the compiler.

### getSplitPoint

    public int getSplitPoint()

### isLoaded

    public boolean isLoaded()

  Ask whether this code has already been loaded.

GWT 2.7.0